### Method

# Gcr CertificateRequest set_cn

#### Declaration [src]

    void
    gcr_certificate_request_set_cn (
      GcrCertificateRequest* self,
      const gchar* cn
    )

#### Description [src]

Set the common name encoded in the certificate request.

#### Parameters

`cn` | `const gchar*`
| Common name to set on the request.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.